Bug 183927 - Review Request: R-wavethresh - R package for wavelets
Review Request: R-wavethresh - R package for wavelets
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-03-03 15:10 EST by José Matos
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-08 18:32:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description José Matos 2006-03-03 15:10:49 EST
Spec Name or Url: http://www.fc.up.pt/pessoas/jamatos/fedora-extras/R-wavethresh.spec
SRPM Name or Url: http://www.fc.up.pt/pessoas/jamatos/fedora-extras/R-wavethresh-2.2-1.src.rpm
Description: Software to perform 1-d and 2-d wavelet statistics and transforms
Comment 1 Jason Tibbitts 2006-03-07 18:49:42 EST
This fares a bit better than R-waveslim.  rpmlint says:

W: R-wavethresh invalid-license GPL version 2 or later
W: R-wavethresh no-documentation

We have no standards for R package naming, but R-packagename is reasonable.
The specfile is clean and understandable.
The source matches upstream.
Package dependencies are sane.
Package builds in mock.

rpmlint finds no documentation, but all supplied documentation is part of R's
internal help system, so this isn't a blocker.

rpmlint doesn't like the License: tag.  I have asked on the extras list whether
it is acceptable or not.
Comment 2 José Matos 2006-03-08 04:41:20 EST
I have modified the package to fill those issues: 
* Wed Mar  8 2006 Jose' Matos <jamatos@fc.up.pt> - 2.2-2 
- Rename License to simply GPL, added DESCRIPTION to %%doc 
New package can be found: 
Comment 3 Jason Tibbitts 2006-03-08 15:28:17 EST
The license tag is now acceptable and as a bonus we have a bit of documentation.
 rpmlint is placated and everything looks great.

Comment 4 José Matos 2006-03-08 18:32:31 EST
Build on target fedora-development-extras succeeded. 

Note You need to log in before you can comment on or make changes to this bug.